Subject: bug#10592: Bug#655118: Please enabled hardened build flags

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Jan 2012 01:40:26 -0500

> From: Rob Browning <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 24 Jan 2012 20:22:52 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think the right fix for this is to declare `error' with the
> > appropriate printf attribute.  Alternatively, you could use variable
> > argument lists and call vprintf instead.
> 
> Would something like this be acceptable, and if not, how would you like
> to see it adjusted?  The patch changes error() to use an ANSI
> declaration, and it relies on the printf format attribute:

This is fine with me, but please use ATTRIBUTE_FORMAT_PRINTF (defined
in src/config.h) instead of a literal __attribute__(...), which is a
GCC-only thing.

Thanks.